package cn.estsh.i3plus.ext.mes.api.base.ep;

import cn.estsh.i3plus.pojo.base.bean.ListPager;
import cn.estsh.i3plus.pojo.base.common.Pager;
import cn.estsh.i3plus.pojo.mes.bean.MesEquipment;

public interface IEpEquipmentService {
    MesEquipment insert(MesEquipment equipment);

    MesEquipment update(MesEquipment epEquipmentCheck);

    ListPager queryByPager(MesEquipment epEquipmentCheck, Pager pager);

    int updateIsValidById(long id, Integer status);
}
